<!DOCTYPE html PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN">
<html>
<head>
<meta http-equiv="Content-Type" content="text/html; charset=UTF-8">
<title>GStreamer Bad Plugins 1.0 Plugins Reference Manual: dvbsrc</title>
<meta name="generator" content="DocBook XSL Stylesheets V1.78.1">
<link rel="home" href="index.html" title="GStreamer Bad Plugins 1.0 Plugins Reference Manual">
<link rel="up" href="ch01.html" title="gst-plugins-bad Elements">
<link rel="prev" href="gst-plugins-bad-plugins-dtsdec.html" title="dtsdec">
<link rel="next" href="gst-plugins-bad-plugins-dvdspu.html" title="dvdspu">
<meta name="generator" content="GTK-Doc V1.20 (XML mode)">
<link rel="stylesheet" href="style.css" type="text/css">
</head>
<body bgcolor="white" text="black" link="#0000FF" vlink="#840084" alink="#0000FF">
<table class="navigation" id="top" width="100%" summary="Navigation header" cellpadding="2" cellspacing="10"><tr valign="middle">
<td width="100%" align="left" class="shortcuts">
<a href="#" class="shortcut">Top</a><span id="nav_description"> <span class="dim">|</span> 
                  <a href="#gst-plugins-bad-plugins-dvbsrc.description" class="shortcut">Description</a></span><span id="nav_hierarchy"> <span class="dim">|</span> 
                  <a href="#gst-plugins-bad-plugins-dvbsrc.object-hierarchy" class="shortcut">Object Hierarchy</a></span><span id="nav_properties"> <span class="dim">|</span> 
                  <a href="#gst-plugins-bad-plugins-dvbsrc.properties" class="shortcut">Properties</a></span><span id="nav_signals"> <span class="dim">|</span> 
                  <a href="#gst-plugins-bad-plugins-dvbsrc.signals" class="shortcut">Signals</a></span>
</td>
<td><a accesskey="h" href="index.html"><img src="home.png" width="16" height="16" border="0" alt="Home"></a></td>
<td><a accesskey="u" href="ch01.html"><img src="up.png" width="16" height="16" border="0" alt="Up"></a></td>
<td><a accesskey="p" href="gst-plugins-bad-plugins-dtsdec.html"><img src="left.png" width="16" height="16" border="0" alt="Prev"></a></td>
<td><a accesskey="n" href="gst-plugins-bad-plugins-dvdspu.html"><img src="right.png" width="16" height="16" border="0" alt="Next"></a></td>
</tr></table>
<div class="refentry">
<a name="gst-plugins-bad-plugins-dvbsrc"></a><div class="titlepage"></div>
<div class="refnamediv"><table width="100%"><tr>
<td valign="top">
<h2><span class="refentrytitle"><a name="gst-plugins-bad-plugins-dvbsrc.top_of_page"></a>dvbsrc</span></h2>
<p>dvbsrc — Digital Video Broadcast Source</p>
</td>
<td class="gallery_image" valign="top" align="right"></td>
</tr></table></div>
<div class="refsect1">
<a name="gst-plugins-bad-plugins-dvbsrc.properties"></a><h2>Properties</h2>
<div class="informaltable"><table border="0">
<colgroup>
<col width="150px" class="properties_type">
<col width="300px" class="properties_name">
<col width="200px" class="properties_flags">
</colgroup>
<tbody>
<tr>
<td class="property_type"><a href="http://library.gnome.org/devel/glib/unstable/glib-Basic-Types.html#guint"><span class="type">guint</span></a></td>
<td class="property_name"><a class="link" href="gst-plugins-bad-plugins-dvbsrc.html#GstDvbSrc--bandwidth-hz" title="The “bandwidth-hz” property">bandwidth-hz</a></td>
<td class="property_flags">Read / Write</td>
</tr>
<tr>
<td class="property_type"><span class="type">GstDvbSrcBandwidth</span></td>
<td class="property_name"><a class="link" href="gst-plugins-bad-plugins-dvbsrc.html#GstDvbSrc--bandwidth" title="The “bandwidth” property">bandwidth</a></td>
<td class="property_flags">Read / Write</td>
</tr>
<tr>
<td class="property_type"><span class="type">GstDvbSrcCode_Rate</span></td>
<td class="property_name"><a class="link" href="gst-plugins-bad-plugins-dvbsrc.html#GstDvbSrc--code-rate-hp" title="The “code-rate-hp” property">code-rate-hp</a></td>
<td class="property_flags">Read / Write</td>
</tr>
<tr>
<td class="property_type"><span class="type">GstDvbSrcCode_Rate</span></td>
<td class="property_name"><a class="link" href="gst-plugins-bad-plugins-dvbsrc.html#GstDvbSrc--code-rate-lp" title="The “code-rate-lp” property">code-rate-lp</a></td>
<td class="property_flags">Read / Write</td>
</tr>
<tr>
<td class="property_type"><a href="http://library.gnome.org/devel/gobject/unstable/gobject-Standard-Parameter-and-Value-Types.html#gchararray"><span class="type">gchararray</span></a></td>
<td class="property_name"><a class="link" href="gst-plugins-bad-plugins-dvbsrc.html#GstDvbSrc--device" title="The “device” property">device</a></td>
<td class="property_flags">Read / Write</td>
</tr>
<tr>
<td class="property_type"><a href="http://library.gnome.org/devel/glib/unstable/glib-Basic-Types.html#gint"><span class="type">gint</span></a></td>
<td class="property_name"><a class="link" href="gst-plugins-bad-plugins-dvbsrc.html#GstDvbSrc--diseqc-src" title="The “diseqc-src” property">diseqc-src</a></td>
<td class="property_flags">Read / Write</td>
</tr>
<tr>
<td class="property_type"><a href="http://library.gnome.org/devel/glib/unstable/glib-Basic-Types.html#gint"><span class="type">gint</span></a></td>
<td class="property_name"><a class="link" href="gst-plugins-bad-plugins-dvbsrc.html#GstDvbSrc--freq" title="The “freq” property">freq</a></td>
<td class="property_flags">Read / Write</td>
</tr>
<tr>
<td class="property_type"><span class="type">GstDvbSrcGuard</span></td>
<td class="property_name"><a class="link" href="gst-plugins-bad-plugins-dvbsrc.html#GstDvbSrc--guard" title="The “guard” property">guard</a></td>
<td class="property_flags">Read / Write</td>
</tr>
<tr>
<td class="property_type"><span class="type">GstDvbSrcHierarchy</span></td>
<td class="property_name"><a class="link" href="gst-plugins-bad-plugins-dvbsrc.html#GstDvbSrc--hierarchy" title="The “hierarchy” property">hierarchy</a></td>
<td class="property_flags">Read / Write</td>
</tr>
<tr>
<td class="property_type"><span class="type">GstDvbSrcInversion</span></td>
<td class="property_name"><a class="link" href="gst-plugins-bad-plugins-dvbsrc.html#GstDvbSrc--inversion" title="The “inversion” property">inversion</a></td>
<td class="property_flags">Read / Write</td>
</tr>
<tr>
<td class="property_type"><span class="type">GstDvbSrcModulation</span></td>
<td class="property_name"><a class="link" href="gst-plugins-bad-plugins-dvbsrc.html#GstDvbSrc--modulation" title="The “modulation” property">modulation</a></td>
<td class="property_flags">Read / Write</td>
</tr>
<tr>
<td class="property_type">
<a href="http://library.gnome.org/devel/glib/unstable/glib-Basic-Types.html#gchar"><span class="type">gchar</span></a> *</td>
<td class="property_name"><a class="link" href="gst-plugins-bad-plugins-dvbsrc.html#GstDvbSrc--pids" title="The “pids” property">pids</a></td>
<td class="property_flags">Write</td>
</tr>
<tr>
<td class="property_type"><a href="http://library.gnome.org/devel/gobject/unstable/gobject-Standard-Parameter-and-Value-Types.html#gchararray"><span class="type">gchararray</span></a></td>
<td class="property_name"><a class="link" href="gst-plugins-bad-plugins-dvbsrc.html#GstDvbSrc--pol" title="The “pol” property">pol</a></td>
<td class="property_flags">Read / Write</td>
</tr>
<tr>
<td class="property_type"><a href="http://library.gnome.org/devel/glib/unstable/glib-Basic-Types.html#gint"><span class="type">gint</span></a></td>
<td class="property_name"><a class="link" href="gst-plugins-bad-plugins-dvbsrc.html#GstDvbSrc--srate" title="The “srate” property">srate</a></td>
<td class="property_flags">Read / Write</td>
</tr>
<tr>
<td class="property_type"><span class="type">GstDvbSrcTransmission_Mode</span></td>
<td class="property_name"><a class="link" href="gst-plugins-bad-plugins-dvbsrc.html#GstDvbSrc--trans-mode" title="The “trans-mode” property">trans-mode</a></td>
<td class="property_flags">Read / Write</td>
</tr>
<tr>
<td class="property_type"><a href="http://library.gnome.org/devel/glib/unstable/glib-Basic-Types.html#gpointer"><span class="type">gpointer</span></a></td>
<td class="property_name"><a class="link" href="gst-plugins-bad-plugins-dvbsrc.html#GstDvbSrc--tune" title="The “tune” property">tune</a></td>
<td class="property_flags">Write</td>
</tr>
<tr>
<td class="property_type"><a href="http://library.gnome.org/devel/glib/unstable/glib-Basic-Types.html#gint"><span class="type">gint</span></a></td>
<td class="property_name"><a class="link" href="gst-plugins-bad-plugins-dvbsrc.html#GstDvbSrc--adapter" title="The “adapter” property">adapter</a></td>
<td class="property_flags">Read / Write</td>
</tr>
<tr>
<td class="property_type"><a href="http://library.gnome.org/devel/glib/unstable/glib-Basic-Types.html#gint"><span class="type">gint</span></a></td>
<td class="property_name"><a class="link" href="gst-plugins-bad-plugins-dvbsrc.html#GstDvbSrc--diseqc-source" title="The “diseqc-source” property">diseqc-source</a></td>
<td class="property_flags">Read / Write</td>
</tr>
<tr>
<td class="property_type"><a href="http://library.gnome.org/devel/glib/unstable/glib-Basic-Types.html#guint"><span class="type">guint</span></a></td>
<td class="property_name"><a class="link" href="gst-plugins-bad-plugins-dvbsrc.html#GstDvbSrc--frequency" title="The “frequency” property">frequency</a></td>
<td class="property_flags">Read / Write</td>
</tr>
<tr>
<td class="property_type"><a href="http://library.gnome.org/devel/glib/unstable/glib-Basic-Types.html#gint"><span class="type">gint</span></a></td>
<td class="property_name"><a class="link" href="gst-plugins-bad-plugins-dvbsrc.html#GstDvbSrc--frontend" title="The “frontend” property">frontend</a></td>
<td class="property_flags">Read / Write</td>
</tr>
<tr>
<td class="property_type">
<a href="http://library.gnome.org/devel/glib/unstable/glib-Basic-Types.html#gchar"><span class="type">gchar</span></a> *</td>
<td class="property_name"><a class="link" href="gst-plugins-bad-plugins-dvbsrc.html#GstDvbSrc--polarity" title="The “polarity” property">polarity</a></td>
<td class="property_flags">Read / Write / Construct</td>
</tr>
<tr>
<td class="property_type"><a href="http://library.gnome.org/devel/glib/unstable/glib-Basic-Types.html#guint"><span class="type">guint</span></a></td>
<td class="property_name"><a class="link" href="gst-plugins-bad-plugins-dvbsrc.html#GstDvbSrc--symbol-rate" title="The “symbol-rate” property">symbol-rate</a></td>
<td class="property_flags">Read / Write</td>
</tr>
<tr>
<td class="property_type"><a href="http://library.gnome.org/devel/glib/unstable/glib-Basic-Types.html#guint"><span class="type">guint</span></a></td>
<td class="property_name"><a class="link" href="gst-plugins-bad-plugins-dvbsrc.html#GstDvbSrc--stats-reporting-interval" title="The “stats-reporting-interval” property">stats-reporting-interval</a></td>
<td class="property_flags">Read / Write</td>
</tr>
<tr>
<td class="property_type"><span class="type">guint64</span></td>
<td class="property_name"><a class="link" href="gst-plugins-bad-plugins-dvbsrc.html#GstDvbSrc--timeout" title="The “timeout” property">timeout</a></td>
<td class="property_flags">Read / Write</td>
</tr>
<tr>
<td class="property_type"><a href="http://library.gnome.org/devel/glib/unstable/glib-Basic-Types.html#guint"><span class="type">guint</span></a></td>
<td class="property_name"><a class="link" href="gst-plugins-bad-plugins-dvbsrc.html#GstDvbSrc--dvb-buffer-size" title="The “dvb-buffer-size” property">dvb-buffer-size</a></td>
<td class="property_flags">Read / Write</td>
</tr>
<tr>
<td class="property_type"><span class="type">GstDvbSrcDelsys</span></td>
<td class="property_name"><a class="link" href="gst-plugins-bad-plugins-dvbsrc.html#GstDvbSrc--delsys" title="The “delsys” property">delsys</a></td>
<td class="property_flags">Read / Write</td>
</tr>
<tr>
<td class="property_type"><span class="type">GstDvbSrcPilot</span></td>
<td class="property_name"><a class="link" href="gst-plugins-bad-plugins-dvbsrc.html#GstDvbSrc--pilot" title="The “pilot” property">pilot</a></td>
<td class="property_flags">Read / Write</td>
</tr>
<tr>
<td class="property_type"><span class="type">GstDvbSrcRolloff</span></td>
<td class="property_name"><a class="link" href="gst-plugins-bad-plugins-dvbsrc.html#GstDvbSrc--rolloff" title="The “rolloff” property">rolloff</a></td>
<td class="property_flags">Read / Write</td>
</tr>
<tr>
<td class="property_type"><a href="http://library.gnome.org/devel/glib/unstable/glib-Basic-Types.html#gint"><span class="type">gint</span></a></td>
<td class="property_name"><a class="link" href="gst-plugins-bad-plugins-dvbsrc.html#GstDvbSrc--stream-id" title="The “stream-id” property">stream-id</a></td>
<td class="property_flags">Read / Write</td>
</tr>
<tr>
<td class="property_type"><span class="type">guint64</span></td>
<td class="property_name"><a class="link" href="gst-plugins-bad-plugins-dvbsrc.html#GstDvbSrc--tuning-timeout" title="The “tuning-timeout” property">tuning-timeout</a></td>
<td class="property_flags">Read / Write</td>
</tr>
</tbody>
</table></div>
</div>
<div class="refsect1">
<a name="gst-plugins-bad-plugins-dvbsrc.signals"></a><h2>Signals</h2>
<div class="informaltable"><table border="0">
<colgroup>
<col width="150px" class="signals_return">
<col width="300px" class="signals_name">
<col width="200px" class="signals_flags">
</colgroup>
<tbody>
<tr>
<td class="signal_type"><span class="returnvalue">void</span></td>
<td class="signal_name"><a class="link" href="gst-plugins-bad-plugins-dvbsrc.html#GstDvbSrc-tuning-done" title="The “tuning-done” signal">tuning-done</a></td>
<td class="signal_flags">Run Last</td>
</tr>
<tr>
<td class="signal_type"><span class="returnvalue">void</span></td>
<td class="signal_name"><a class="link" href="gst-plugins-bad-plugins-dvbsrc.html#GstDvbSrc-tuning-fail" title="The “tuning-fail” signal">tuning-fail</a></td>
<td class="signal_flags">Run Last</td>
</tr>
<tr>
<td class="signal_type"><span class="returnvalue">void</span></td>
<td class="signal_name"><a class="link" href="gst-plugins-bad-plugins-dvbsrc.html#GstDvbSrc-tuning-start" title="The “tuning-start” signal">tuning-start</a></td>
<td class="signal_flags">Run Last</td>
</tr>
</tbody>
</table></div>
</div>
<a name="GstDvbSrc"></a><div class="refsect1">
<a name="gst-plugins-bad-plugins-dvbsrc.other"></a><h2>Types and Values</h2>
<div class="informaltable"><table width="100%" border="0">
<colgroup>
<col width="150px" class="name">
<col class="description">
</colgroup>
<tbody><tr>
<td class="datatype_keyword">struct</td>
<td class="function_name"><a class="link" href="gst-plugins-bad-plugins-dvbsrc.html#GstDvbSrc-struct" title="struct GstDvbSrc">GstDvbSrc</a></td>
</tr></tbody>
</table></div>
</div>
<div class="refsect1">
<a name="gst-plugins-bad-plugins-dvbsrc.object-hierarchy"></a><h2>Object Hierarchy</h2>
<pre class="screen">    <a href="http://library.gnome.org/devel/gobject/unstable/gobject-The-Base-Object-Type.html#GObject">GObject</a>
    <span class="lineart">╰──</span> <a href="http://library.gnome.org/devel/gobject/unstable/gobject-The-Base-Object-Type.html#GInitiallyUnowned">GInitiallyUnowned</a>
        <span class="lineart">╰──</span> <a href="http://gstreamer.freedesktop.org/data/doc/gstreamer/head/gstreamer/html/GstObject.html">GstObject</a>
            <span class="lineart">╰──</span> <a href="http://gstreamer.freedesktop.org/data/doc/gstreamer/head/gstreamer/html/GstElement.html">GstElement</a>
                <span class="lineart">╰──</span> <a href="http://gstreamer.freedesktop.org/data/doc/gstreamer/head/gstreamer-libs/html/GstBaseSrc.html">GstBaseSrc</a>
                    <span class="lineart">╰──</span> <a href="http://gstreamer.freedesktop.org/data/doc/gstreamer/head/gstreamer-libs/html/GstPushSrc.html">GstPushSrc</a>
                        <span class="lineart">╰──</span> GstDvbSrc
</pre>
</div>
<div class="refsect1">
<a name="gst-plugins-bad-plugins-dvbsrc.description"></a><h2>Description</h2>
<div class="refsynopsisdiv">
<h2>Synopsis</h2>
<div class="refsect2">
<a name="id-1.2.24.8.2.1"></a><h3>Element Information</h3>
<div class="variablelist"><table border="0" class="variablelist">
<colgroup>
<col align="left" valign="top">
<col>
</colgroup>
<tbody>
<tr>
<td><p><span class="term">plugin</span></p></td>
<td>
            <a class="link" href="gst-plugins-bad-plugins-plugin-dvb.html#plugin-dvb">dvb</a>
          </td>
</tr>
<tr>
<td><p><span class="term">author</span></p></td>
<td>P2P-VCR, C-Lab, University of Paderborn,Zaheer Abbas Merali &lt;zaheerabbas at merali dot org&gt;</td>
</tr>
<tr>
<td><p><span class="term">class</span></p></td>
<td>Source/Video</td>
</tr>
</tbody>
</table></div>
</div>
<hr>
<div class="refsect2">
<a name="id-1.2.24.8.2.2"></a><h3>Element Pads</h3>
<div class="variablelist"><table border="0" class="variablelist">
<colgroup>
<col align="left" valign="top">
<col>
</colgroup>
<tbody>
<tr>
<td><p><span class="term">name</span></p></td>
<td>src</td>
</tr>
<tr>
<td><p><span class="term">direction</span></p></td>
<td>source</td>
</tr>
<tr>
<td><p><span class="term">presence</span></p></td>
<td>always</td>
</tr>
<tr>
<td><p><span class="term">details</span></p></td>
<td>video/mpegts, mpegversion=(int)2, systemstream=(boolean)true</td>
</tr>
</tbody>
</table></div>
</div>
</div>
<p>
</p>
</div>
<div class="refsect1">
<a name="gst-plugins-bad-plugins-dvbsrc.functions_details"></a><h2>Functions</h2>
</div>
<div class="refsect1">
<a name="gst-plugins-bad-plugins-dvbsrc.other_details"></a><h2>Types and Values</h2>
<div class="refsect2">
<a name="GstDvbSrc-struct"></a><h3>struct GstDvbSrc</h3>
<pre class="programlisting">struct GstDvbSrc;</pre>
<p>
</p>
</div>
</div>
<div class="refsect1">
<a name="gst-plugins-bad-plugins-dvbsrc.property-details"></a><h2>Property Details</h2>
<div class="refsect2">
<a name="GstDvbSrc--bandwidth-hz"></a><h3>The <code class="literal">“bandwidth-hz”</code> property</h3>
<pre class="programlisting">  “bandwidth-hz”             <a href="http://library.gnome.org/devel/glib/unstable/glib-Basic-Types.html#guint"><span class="type">guint</span></a></pre>
<p>(DVB-T) Bandwidth in Hz.</p>
<p>Flags: Read / Write</p>
<p>Default value: 8000000</p>
</div>
<hr>
<div class="refsect2">
<a name="GstDvbSrc--bandwidth"></a><h3>The <code class="literal">“bandwidth”</code> property</h3>
<pre class="programlisting">  “bandwidth”                <span class="type">GstDvbSrcBandwidth</span></pre>
<p>(DVB-T) Bandwidth. Deprecated.</p>
<p>Flags: Read / Write</p>
<p>Default value: 8</p>
</div>
<hr>
<div class="refsect2">
<a name="GstDvbSrc--code-rate-hp"></a><h3>The <code class="literal">“code-rate-hp”</code> property</h3>
<pre class="programlisting">  “code-rate-hp”             <span class="type">GstDvbSrcCode_Rate</span></pre>
<p>(DVB-T, DVB-S/S2 and DVB-C) High priority code rate.</p>
<p>Flags: Read / Write</p>
<p>Default value: AUTO</p>
</div>
<hr>
<div class="refsect2">
<a name="GstDvbSrc--code-rate-lp"></a><h3>The <code class="literal">“code-rate-lp”</code> property</h3>
<pre class="programlisting">  “code-rate-lp”             <span class="type">GstDvbSrcCode_Rate</span></pre>
<p>(DVB-T) Low priority code rate.</p>
<p>Flags: Read / Write</p>
<p>Default value: 1/2</p>
</div>
<hr>
<div class="refsect2">
<a name="GstDvbSrc--device"></a><h3>The <code class="literal">“device”</code> property</h3>
<pre class="programlisting">  “device”                   <a href="http://library.gnome.org/devel/gobject/unstable/gobject-Standard-Parameter-and-Value-Types.html#gchararray"><span class="type">gchararray</span></a></pre>
<p>The device directory.</p>
<p>Flags: Read / Write</p>
<p>Default value: "/dev/dvb/adapter0"</p>
</div>
<hr>
<div class="refsect2">
<a name="GstDvbSrc--diseqc-src"></a><h3>The <code class="literal">“diseqc-src”</code> property</h3>
<pre class="programlisting">  “diseqc-src”               <a href="http://library.gnome.org/devel/glib/unstable/glib-Basic-Types.html#gint"><span class="type">gint</span></a></pre>
<p>DISEqC selected source (-1 disabled) (DVB-S).</p>
<p>Flags: Read / Write</p>
<p>Allowed values: [-1,7]</p>
<p>Default value: -1</p>
</div>
<hr>
<div class="refsect2">
<a name="GstDvbSrc--freq"></a><h3>The <code class="literal">“freq”</code> property</h3>
<pre class="programlisting">  “freq”                     <a href="http://library.gnome.org/devel/glib/unstable/glib-Basic-Types.html#gint"><span class="type">gint</span></a></pre>
<p>Frequency.</p>
<p>Flags: Read / Write</p>
<p>Allowed values: &gt;= 0</p>
<p>Default value: 0</p>
</div>
<hr>
<div class="refsect2">
<a name="GstDvbSrc--guard"></a><h3>The <code class="literal">“guard”</code> property</h3>
<pre class="programlisting">  “guard”                    <span class="type">GstDvbSrcGuard</span></pre>
<p>(DVB-T) Guard Interval.</p>
<p>Flags: Read / Write</p>
<p>Default value: 16</p>
</div>
<hr>
<div class="refsect2">
<a name="GstDvbSrc--hierarchy"></a><h3>The <code class="literal">“hierarchy”</code> property</h3>
<pre class="programlisting">  “hierarchy”                <span class="type">GstDvbSrcHierarchy</span></pre>
<p>(DVB-T) Hierarchy information.</p>
<p>Flags: Read / Write</p>
<p>Default value: 1</p>
</div>
<hr>
<div class="refsect2">
<a name="GstDvbSrc--inversion"></a><h3>The <code class="literal">“inversion”</code> property</h3>
<pre class="programlisting">  “inversion”                <span class="type">GstDvbSrcInversion</span></pre>
<p>(DVB-T and DVB-C) Inversion information.</p>
<p>Flags: Read / Write</p>
<p>Default value: ON</p>
</div>
<hr>
<div class="refsect2">
<a name="GstDvbSrc--modulation"></a><h3>The <code class="literal">“modulation”</code> property</h3>
<pre class="programlisting">  “modulation”               <span class="type">GstDvbSrcModulation</span></pre>
<p>(DVB-T and DVB-C) Modulation type.</p>
<p>Flags: Read / Write</p>
<p>Default value: QAM 16</p>
</div>
<hr>
<div class="refsect2">
<a name="GstDvbSrc--pids"></a><h3>The <code class="literal">“pids”</code> property</h3>
<pre class="programlisting">  “pids”                     <a href="http://library.gnome.org/devel/glib/unstable/glib-Basic-Types.html#gchar"><span class="type">gchar</span></a> *</pre>
<p>Colon seperated list of pids (eg. 110:120).</p>
<p>Flags: Write</p>
<p>Default value: "8192"</p>
</div>
<hr>
<div class="refsect2">
<a name="GstDvbSrc--pol"></a><h3>The <code class="literal">“pol”</code> property</h3>
<pre class="programlisting">  “pol”                      <a href="http://library.gnome.org/devel/gobject/unstable/gobject-Standard-Parameter-and-Value-Types.html#gchararray"><span class="type">gchararray</span></a></pre>
<p>Polarity [vhHV] (DVB-S).</p>
<p>Flags: Read / Write</p>
<p>Default value: "h"</p>
</div>
<hr>
<div class="refsect2">
<a name="GstDvbSrc--srate"></a><h3>The <code class="literal">“srate”</code> property</h3>
<pre class="programlisting">  “srate”                    <a href="http://library.gnome.org/devel/glib/unstable/glib-Basic-Types.html#gint"><span class="type">gint</span></a></pre>
<p>Symbol Rate (DVB-S, DVB-C).</p>
<p>Flags: Read / Write</p>
<p>Allowed values: &gt;= 0</p>
<p>Default value: 0</p>
</div>
<hr>
<div class="refsect2">
<a name="GstDvbSrc--trans-mode"></a><h3>The <code class="literal">“trans-mode”</code> property</h3>
<pre class="programlisting">  “trans-mode”               <span class="type">GstDvbSrcTransmission_Mode</span></pre>
<p>(DVB-T) Transmission mode.</p>
<p>Flags: Read / Write</p>
<p>Default value: 8K</p>
</div>
<hr>
<div class="refsect2">
<a name="GstDvbSrc--tune"></a><h3>The <code class="literal">“tune”</code> property</h3>
<pre class="programlisting">  “tune”                     <a href="http://library.gnome.org/devel/glib/unstable/glib-Basic-Types.html#gpointer"><span class="type">gpointer</span></a></pre>
<p>Atomically tune to channel. (For Apps).</p>
<p>Flags: Write</p>
</div>
<hr>
<div class="refsect2">
<a name="GstDvbSrc--adapter"></a><h3>The <code class="literal">“adapter”</code> property</h3>
<pre class="programlisting">  “adapter”                  <a href="http://library.gnome.org/devel/glib/unstable/glib-Basic-Types.html#gint"><span class="type">gint</span></a></pre>
<p>The DVB adapter device number (eg. 0 for adapter0).</p>
<p>Flags: Read / Write</p>
<p>Allowed values: [0,16]</p>
<p>Default value: 0</p>
</div>
<hr>
<div class="refsect2">
<a name="GstDvbSrc--diseqc-source"></a><h3>The <code class="literal">“diseqc-source”</code> property</h3>
<pre class="programlisting">  “diseqc-source”            <a href="http://library.gnome.org/devel/glib/unstable/glib-Basic-Types.html#gint"><span class="type">gint</span></a></pre>
<p>(DVB-S/S2) Selected DiSEqC source. Only needed if you have a DiSEqC switch. Otherwise leave at -1 (disabled).</p>
<p>Flags: Read / Write</p>
<p>Allowed values: [G_MAXULONG,7]</p>
<p>Default value: -1</p>
</div>
<hr>
<div class="refsect2">
<a name="GstDvbSrc--frequency"></a><h3>The <code class="literal">“frequency”</code> property</h3>
<pre class="programlisting">  “frequency”                <a href="http://library.gnome.org/devel/glib/unstable/glib-Basic-Types.html#guint"><span class="type">guint</span></a></pre>
<p>Frequency.</p>
<p>Flags: Read / Write</p>
<p>Default value: 0</p>
</div>
<hr>
<div class="refsect2">
<a name="GstDvbSrc--frontend"></a><h3>The <code class="literal">“frontend”</code> property</h3>
<pre class="programlisting">  “frontend”                 <a href="http://library.gnome.org/devel/glib/unstable/glib-Basic-Types.html#gint"><span class="type">gint</span></a></pre>
<p>The frontend device number (eg. 0 for frontend0).</p>
<p>Flags: Read / Write</p>
<p>Allowed values: [0,16]</p>
<p>Default value: 0</p>
</div>
<hr>
<div class="refsect2">
<a name="GstDvbSrc--polarity"></a><h3>The <code class="literal">“polarity”</code> property</h3>
<pre class="programlisting">  “polarity”                 <a href="http://library.gnome.org/devel/glib/unstable/glib-Basic-Types.html#gchar"><span class="type">gchar</span></a> *</pre>
<p>(DVB-S/S2) Polarity [vhHV] (eg. V for Vertical).</p>
<p>Flags: Read / Write / Construct</p>
<p>Default value: "H"</p>
</div>
<hr>
<div class="refsect2">
<a name="GstDvbSrc--symbol-rate"></a><h3>The <code class="literal">“symbol-rate”</code> property</h3>
<pre class="programlisting">  “symbol-rate”              <a href="http://library.gnome.org/devel/glib/unstable/glib-Basic-Types.html#guint"><span class="type">guint</span></a></pre>
<p>(DVB-S/S2, DVB-C) Symbol rate in bauds.</p>
<p>Flags: Read / Write</p>
<p>Default value: 0</p>
</div>
<hr>
<div class="refsect2">
<a name="GstDvbSrc--stats-reporting-interval"></a><h3>The <code class="literal">“stats-reporting-interval”</code> property</h3>
<pre class="programlisting">  “stats-reporting-interval” <a href="http://library.gnome.org/devel/glib/unstable/glib-Basic-Types.html#guint"><span class="type">guint</span></a></pre>
<p>The number of reads before reporting frontend stats.</p>
<p>Flags: Read / Write</p>
<p>Default value: 100</p>
</div>
<hr>
<div class="refsect2">
<a name="GstDvbSrc--timeout"></a><h3>The <code class="literal">“timeout”</code> property</h3>
<pre class="programlisting">  “timeout”                  <span class="type">guint64</span></pre>
<p>Post a message after timeout microseconds (0 = disabled).</p>
<p>Flags: Read / Write</p>
<p>Default value: 1000000</p>
</div>
<hr>
<div class="refsect2">
<a name="GstDvbSrc--dvb-buffer-size"></a><h3>The <code class="literal">“dvb-buffer-size”</code> property</h3>
<pre class="programlisting">  “dvb-buffer-size”          <a href="http://library.gnome.org/devel/glib/unstable/glib-Basic-Types.html#guint"><span class="type">guint</span></a></pre>
<p>The kernel buffer size used by the DVB api.</p>
<p>Flags: Read / Write</p>
<p>Default value: 1925120</p>
</div>
<hr>
<div class="refsect2">
<a name="GstDvbSrc--delsys"></a><h3>The <code class="literal">“delsys”</code> property</h3>
<pre class="programlisting">  “delsys”                   <span class="type">GstDvbSrcDelsys</span></pre>
<p>Delivery System.</p>
<p>Flags: Read / Write</p>
<p>Default value: UNDEFINED</p>
</div>
<hr>
<div class="refsect2">
<a name="GstDvbSrc--pilot"></a><h3>The <code class="literal">“pilot”</code> property</h3>
<pre class="programlisting">  “pilot”                    <span class="type">GstDvbSrcPilot</span></pre>
<p>Pilot (DVB-S2).</p>
<p>Flags: Read / Write</p>
<p>Default value: AUTO</p>
</div>
<hr>
<div class="refsect2">
<a name="GstDvbSrc--rolloff"></a><h3>The <code class="literal">“rolloff”</code> property</h3>
<pre class="programlisting">  “rolloff”                  <span class="type">GstDvbSrcRolloff</span></pre>
<p>Rolloff (DVB-S2).</p>
<p>Flags: Read / Write</p>
<p>Default value: auto</p>
</div>
<hr>
<div class="refsect2">
<a name="GstDvbSrc--stream-id"></a><h3>The <code class="literal">“stream-id”</code> property</h3>
<pre class="programlisting">  “stream-id”                <a href="http://library.gnome.org/devel/glib/unstable/glib-Basic-Types.html#gint"><span class="type">gint</span></a></pre>
<p>(DVB-T2 and DVB-S2 max 255, ISDB max 65535) Stream ID (-1 = disabled).</p>
<p>Flags: Read / Write</p>
<p>Allowed values: [G_MAXULONG,65535]</p>
<p>Default value: -1</p>
</div>
<hr>
<div class="refsect2">
<a name="GstDvbSrc--tuning-timeout"></a><h3>The <code class="literal">“tuning-timeout”</code> property</h3>
<pre class="programlisting">  “tuning-timeout”           <span class="type">guint64</span></pre>
<p>Milliseconds to wait before giving up tuning/locking on a signal.</p>
<p>Flags: Read / Write</p>
<p>Default value: 10000000000</p>
</div>
</div>
<div class="refsect1">
<a name="gst-plugins-bad-plugins-dvbsrc.signal-details"></a><h2>Signal Details</h2>
<div class="refsect2">
<a name="GstDvbSrc-tuning-done"></a><h3>The <code class="literal">“tuning-done”</code> signal</h3>
<pre class="programlisting"><span class="returnvalue">void</span>
user_function (<a class="link" href="gst-plugins-bad-plugins-dvbsrc.html#GstDvbSrc"><span class="type">GstDvbSrc</span></a> *gstdvbsrc,
               <a href="http://library.gnome.org/devel/glib/unstable/glib-Basic-Types.html#gpointer"><span class="type">gpointer</span></a>   user_data)</pre>
<p>
</p>
<div class="refsect3">
<a name="id-1.2.24.12.2.5"></a><h4>Parameters</h4>
<div class="informaltable"><table width="100%" border="0">
<colgroup>
<col width="150px" class="parameters_name">
<col class="parameters_description">
<col width="200px" class="parameters_annotations">
</colgroup>
<tbody>
<tr>
<td class="parameter_name"><p>gstdvbsrc</p></td>
<td class="parameter_description"><p>the object which received the signal.</p></td>
<td class="parameter_annotations"> </td>
</tr>
<tr>
<td class="parameter_name"><p>user_data</p></td>
<td class="parameter_description"><p>user data set when the signal handler was connected.</p></td>
<td class="parameter_annotations"> </td>
</tr>
</tbody>
</table></div>
</div>
<p>Flags: Run Last</p>
</div>
<hr>
<div class="refsect2">
<a name="GstDvbSrc-tuning-fail"></a><h3>The <code class="literal">“tuning-fail”</code> signal</h3>
<pre class="programlisting"><span class="returnvalue">void</span>
user_function (<a class="link" href="gst-plugins-bad-plugins-dvbsrc.html#GstDvbSrc"><span class="type">GstDvbSrc</span></a> *gstdvbsrc,
               <a href="http://library.gnome.org/devel/glib/unstable/glib-Basic-Types.html#gpointer"><span class="type">gpointer</span></a>   user_data)</pre>
<p>
</p>
<div class="refsect3">
<a name="id-1.2.24.12.3.5"></a><h4>Parameters</h4>
<div class="informaltable"><table width="100%" border="0">
<colgroup>
<col width="150px" class="parameters_name">
<col class="parameters_description">
<col width="200px" class="parameters_annotations">
</colgroup>
<tbody>
<tr>
<td class="parameter_name"><p>gstdvbsrc</p></td>
<td class="parameter_description"><p>the object which received the signal.</p></td>
<td class="parameter_annotations"> </td>
</tr>
<tr>
<td class="parameter_name"><p>user_data</p></td>
<td class="parameter_description"><p>user data set when the signal handler was connected.</p></td>
<td class="parameter_annotations"> </td>
</tr>
</tbody>
</table></div>
</div>
<p>Flags: Run Last</p>
</div>
<hr>
<div class="refsect2">
<a name="GstDvbSrc-tuning-start"></a><h3>The <code class="literal">“tuning-start”</code> signal</h3>
<pre class="programlisting"><span class="returnvalue">void</span>
user_function (<a class="link" href="gst-plugins-bad-plugins-dvbsrc.html#GstDvbSrc"><span class="type">GstDvbSrc</span></a> *gstdvbsrc,
               <a href="http://library.gnome.org/devel/glib/unstable/glib-Basic-Types.html#gpointer"><span class="type">gpointer</span></a>   user_data)</pre>
<p>
</p>
<div class="refsect3">
<a name="id-1.2.24.12.4.5"></a><h4>Parameters</h4>
<div class="informaltable"><table width="100%" border="0">
<colgroup>
<col width="150px" class="parameters_name">
<col class="parameters_description">
<col width="200px" class="parameters_annotations">
</colgroup>
<tbody>
<tr>
<td class="parameter_name"><p>gstdvbsrc</p></td>
<td class="parameter_description"><p>the object which received the signal.</p></td>
<td class="parameter_annotations"> </td>
</tr>
<tr>
<td class="parameter_name"><p>user_data</p></td>
<td class="parameter_description"><p>user data set when the signal handler was connected.</p></td>
<td class="parameter_annotations"> </td>
</tr>
</tbody>
</table></div>
</div>
<p>Flags: Run Last</p>
</div>
</div>
</div>
<div class="footer">
<hr>
          Generated by GTK-Doc V1.20</div>
</body>
</html>